Bug 639671 - Review Request: apache-commons-validator - rename of jakarta-commons-validator
Review Request: apache-commons-validator - rename of jakarta-commons-validator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-10-03 02:47 EDT by Spike
Modified: 2010-10-21 09:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 09:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-10-03 02:47:06 EDT
This is a re-review of existing package!

Spec URL: http://spike.fedorapeople.org/apache-commons-validator/apache-commons-validator.spec
SRPM URL: http://spike.fedorapeople.org/apache-commons-validator/apache-commons-validator-1.3.1-2.fc13.src.rpm
Description:
A common issue when receiving data either electronically or from user input is 
verifying the integrity of the data. This work is repetitive and becomes even 
more complicated when different sets of validation rules need to be applied to 
the same set of data based on locale for example. Error messages may also vary 
by locale. This package attempts to address some of these issues and speed 
development and maintenance of validation rules.
Comment 1 Stanislav Ochotnicky 2010-10-20 07:22:39 EDT
I'll do the review
Comment 2 Stanislav Ochotnicky 2010-10-20 08:08:43 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
apache-commons-validator-javadoc.noarch: W: obsolete-not-provided jakarta-commons-validator-javadoc
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

No problem

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :ac5b8d6f67982859fe77225ab7fe6548
MD5SUM upstream package:ac5b8d6f67982859fe77225ab7fe6548
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.


=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
Nice comment on using maven build system when it's available

[x]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64

Perhaps the only suggestion I can make: you can try moving "test" ant
run into %check section from %build, but just in case it won't repeat
a lot of work. But that's really just small thing.

Package is all good. Provides/obsoletes verified


================
*** APPROVED ***
================
Comment 3 Spike 2010-10-20 08:29:16 EDT
Thanks for reviewing.

(In reply to comment #2)
> Perhaps the only suggestion I can make: you can try moving "test" ant
> run into %check section from %build, but just in case it won't repeat
> a lot of work. But that's really just small thing.

Done. New spec and SRPM:
http://spike.fedorapeople.org/apache-commons-validator/apache-commons-validator.spec
http://spike.fedorapeople.org/apache-commons-validator/apache-commons-validator-1.3.1-3.fc13.src.rpm
Comment 4 Spike 2010-10-20 08:30:44 EDT
New Package SCM Request
=======================
Package Name: apache-commons-validator
Short Description: Apache Commons Validator
Owners: spike
Branches: F-14
InitialCC:
Comment 5 Kevin Fenzi 2010-10-21 09:28:57 EDT
Git done (by process-git-requests).
Comment 6 Spike 2010-10-21 09:58:01 EDT
Package built, closing.

Koji build: https://koji.fedoraproject.org/koji/buildinfo?buildID=201342

Note You need to log in before you can comment on or make changes to this bug.